Bug 1176040 (CVE-2014-9296) - CVE-2014-9296 ntp: receive() missing return on error
Summary: CVE-2014-9296 ntp: receive() missing return on error
Status: CLOSED ERRATA
Alias: CVE-2014-9296
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141219,reported=2...
Keywords: Security
Depends On: 1176067 1176068 1176069 1176070 1176191 1176680 1182172
Blocks: 1176041
TreeView+ depends on / blocked
 
Reported: 2014-12-19 09:16 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-03-22 07:29 UTC (History)
13 users (show)

(edit)
A missing return statement in the receive() function could potentially allow a remote attacker to bypass NTP's authentication mechanism.
Clone Of:
(edit)
Last Closed: 2014-12-20 02:46:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:2024 normal SHIPPED_LIVE Important: ntp security update 2014-12-20 07:40:29 UTC
Red Hat Product Errata RHSA-2015:0104 normal SHIPPED_LIVE Important: ntp security update 2015-01-28 23:52:05 UTC

Description Huzaifa S. Sidhpurwala 2014-12-19 09:16:00 UTC
As per upstream NTP security advisory:

Code in ntp_proto.c:receive() was missing a 'return;' in the code path where an error was detected, which meant processing did not stop when a specific rare error occurred. We haven't found a way for this bug to affect system integrity. If there is no way to affect system integrity the base CVSS score for this bug is 0. If there is one avenue through which system integrity can be partially affected, the base score becomes a 5. If system integrity can be partially affected via all three integrity metrics, the CVSS base score become 7.5.

This vulnerability was discovered by Stephen Roettger of the Google Security Team. 


Mitigation:

Remove or comment out all configuration directives beginning with the crypto keyword in your ntp.conf file.

Comment 6 Tomas Hoger 2014-12-19 16:22:02 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1176191]

Comment 7 errata-xmlrpc 2014-12-20 02:40:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:2024 https://rhn.redhat.com/errata/RHSA-2014-2024.html

Comment 8 Fedora Update System 2014-12-22 02:37:36 UTC
ntp-4.2.6p5-19.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-12-23 18:28:43 UTC
ntp-4.2.6p5-25.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-31 19:00:36 UTC
ntp-4.2.6p5-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Vincent Danen 2015-01-07 14:28:13 UTC
Statement:

This issue did not affect the versions of ntpd as shipped with Red Hat Enterprise Linux 4 and 5.  It has been addressed in Red Hat Enterprise Linux 6 and 7 via RHSA-2014:2024.

Comment 16 errata-xmlrpc 2015-01-28 18:52:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0104 https://rhn.redhat.com/errata/RHSA-2015-0104.html


Note You need to log in before you can comment on or make changes to this bug.